DEFINT A-Z
'$DYNAMIC
'$INCLUDE: 'fm.bi'

'QuickBasic must be started with the command
'line "QB /LFM" to load the FM.QLB library.
'see QB.BI for an explanation of each command

'first we create a music buffer. This buffer is big enough for 32k of BAM
'data. If your program will only be using smaller songs, you can get away
'with using a smaller buffer
DIM music%(16384)

'now we initialize the soundcard
setupmusic music%()
resetfm

'it is important to run fademusic once at the beginning of your program
'to initialize the fading routine even if you do not plan on using fademusic
'anywhere else in your program. In this case we fade to the current volume
fademusic getfmvol

'now we load the song. A more elaborate player would verify that the file
'exists and that it starts with the CBMF header before playing it.
'loadsong "..\sample\efugue.bam" + CHR$(0)
loadsong "madness.bam" + CHR$(0)
PRINT "Playing `Fugue in E Minor'"

'wait for a keypress
PRINT "Press any key to stop"
w$ = INPUT$(1)

'stop the song. We dont really need to bother doing this, since closemusic
'will stop the song too.
stopsong

'It is important to run closemusic at the any program that uses these
'routines. setupmusic replaces a timer interrupt, and closemusic restores
'it to its original state
closemusic

